org.springframework.data.querydsl.binding

## Class QuerydslBindings.TypeBinder<T>

- java.lang.Object
- - org.springframework.data.querydsl.binding.QuerydslBindings.TypeBinder<T>

Enclosing class:
  QuerydslBindings

    public final class QuerydslBindings.TypeBinder<T>
    extends Object

A binder for types.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`TypeBinder(Class<T> type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<P extends com.querydsl.core.types.Path<T>> void` `all(MultiValueBinding<P,T> binding)` Configures the given `MultiValueBinding` to be used for the current type.
`<P extends com.querydsl.core.types.Path<T>> void` `first(SingleValueBinding<P,T> binding)`
`<P extends com.querydsl.core.types.Path<T>> void` `firstOptional(OptionalValueBinding<P,T> binding)` Configures the given `SingleValueBinding` to be used for the current type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeBinder

    public TypeBinder(Class<T> type)

### Method Detail

#### firstOptional

    public <P extends com.querydsl.core.types.Path<T>> void firstOptional(OptionalValueBinding<P,T> binding)

Configures the given `SingleValueBinding` to be used for the current type.

Parameters:
  `binding` - must not be null.

#### first

    public <P extends com.querydsl.core.types.Path<T>> void first(SingleValueBinding<P,T> binding)

#### all

    public <P extends com.querydsl.core.types.Path<T>> void all(MultiValueBinding<P,T> binding)

Configures the given `MultiValueBinding` to be used for the current type.

Parameters:
  `binding` - must not be null.